package com.proximity.demo.eventbriteApi.Events;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface EventRepository extends JpaRepository<Event, Long> {
    Event findByEventName(String name);
    List<Event> findByCategory_Id(Long categoryId);
    List<Event> findBySubcategory_Id(Long subcategoryId);
}
