package com.proximity.demo.eventbriteApi.Subcategories;

import com.proximity.demo.eventbriteApi.Events.Event;
import com.proximity.demo.eventbriteApi.Events.EventRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.web.client.RestTemplateBuilder;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import java.util.List;

@Service
public class SubcategoryService {

    private static final String token = "FW5VNKL6N5VMXKQO7TFV";
    private final RestTemplate restTemplate;
    private EventRepository eventRepository;
    private SubcategoryRepository subcategoryRepository;

    @Autowired
    public SubcategoryService(RestTemplateBuilder restTemplateBuilder, EventRepository eventRepository,
                              SubcategoryRepository subcategoryRepository) {
        this.restTemplate = restTemplateBuilder.build();
        this.eventRepository = eventRepository;
        this.subcategoryRepository = subcategoryRepository;
    }

    public Subcategory getSubcategories() {
        for(int i = 0; i <= 4; i++) {
            String url = "http://www.eventbriteapi.com/v3/subcategories?"
                    + "token=" + token
                    + "&page=" + i;
            SubcategoryWrapper wrapper = restTemplate.getForObject(url, SubcategoryWrapper.class);
            subcategoryRepository.saveAll(wrapper.getSubcategories());
        }
        return null;
    }

    private Subcategory save(Subcategory subcategory) { return this.subcategoryRepository.save(subcategory); }
}
