package com.proximity.demo.eventbriteApi.Events;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@CrossOrigin
public class EventController {

    @Autowired
    private EventService eventService;

    @Autowired
    private EventRepository repository;

    @GetMapping("/events")
    public Event getAll(){
        return eventService.getPhillyEvents();
    }

    @GetMapping("/event")
    public List<Event> getEvent() {
        return repository.findAll();
    }

    @GetMapping("event/category/{categoryId}")
    public List<Event> getEventByCategory(@PathVariable Long categoryId) {
        return repository.findByCategory_Id(categoryId);
    }

    @GetMapping("event/subcategory/{subcategoryId}")
    public List<Event> getEventBySubcategory(@PathVariable Long subcategoryId) {
        return repository.findBySubcategory_Id(subcategoryId);
    }

//    @GetMapping("/events/{id}")
//    public Event getEvent(@PathVariable long id) {
//        Event event = repository.findById(id).get();
//        event.setVenue(venueRepository.findById(event.getVenue_id()).orElse(null));
//        event.setCategory(categoryRepository.findById(event.getCategory_id()).orElse(null));
//        event.setSubcategory(subcategoryRepository.findById(event.getSubcategory_id()).orElse(null));
//        return event;
//    }x`

    @GetMapping("/events/{categoryId}")
    public List<Event> getEventByCategory(@PathVariable long category_id) {
        return null;
    }
}
